@charset "UTF-8";
/********* Format général ***********/
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,700;1,400&family=Shrikhand&display=swap");
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

a, button {
  cursor: pointer;
}

a {
  text-decoration: none;
  color: black;
}

body {
  margin: auto;
  font-family: "Roboto", sans-serif;
}

h1 {
  font-family: "Shrikhand", cursive;
}

h3 {
  font-size: 1.1em;
}

.underline {
  width: 40px;
  height: 3px;
  background-color: #99E2D0;
  margin-top: 8px;
}

button {
  background: linear-gradient(#9356DC, #FF79DA);
  padding: 15px 10px;
  border-radius: 25px;
  border: none;
  color: white;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 220px;
  font-size: 1.05em;
}
button:hover {
  background: linear-gradient(#ae80e5, #fface8);
}

input {
  border: none;
  background-color: #eaeaea;
  text-align: center;
  font-size: 1.2em;
}

.header-index {
  text-align: center;
  padding-top: 15px;
}

/************ Page 1 *****************/
/*
.header-pages {

    & a{
        position: absolute;
        top: 25px;
        left: 20px;

    }

}
.header__logo-container{
    text-align: center;
    position: relative;
    padding:15px 0;

}
*/
.header-pages {
  display: grid;
  grid-template-columns: 1fr 9fr;
  justify-items: center;
  align-items: center;
  margin-top: 15px;
  margin-bottom: 15px;
}

/**************************************/
/******************* loading spinner *********************************/
.loading {
  display: flex;
  justify-content: center;
}
.loading-container {
  position: absolute;
  background-color: rgba(255, 255, 255, 0.95);
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: spinner-off 200ms linear 5s both;
}
.loading-name {
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 20px;
}
.loading-name__letter {
  animation: letter 800ms linear both, letter2 1s linear infinite both;
}
.loading-name__letter--1 {
  animation-delay: 200ms;
}
.loading-name__letter--2 {
  animation-delay: 400ms;
}
.loading-name__letter--3 {
  animation-delay: 600ms;
}
.loading-name__letter--4 {
  animation-delay: 800ms;
}
.loading-name__letter--5 {
  animation-delay: 1000ms;
}
.loading-name__letter--6 {
  animation-delay: 1200ms;
}
.loading-name__letter--7 {
  animation-delay: 1400ms;
}
.loading-name__letter--8 {
  animation-delay: 1600ms;
}
.loading-name__letter--9 {
  animation-delay: 1800ms;
}
.loading-name__letter--10 {
  animation-delay: 2000ms;
}
.loading-name__letter--11 {
  animation-delay: 2200ms;
}
.loading-name__letter--12 {
  animation-delay: 2400ms;
}
.loading-name__letter--13 {
  animation-delay: 2600ms;
}
.loading__ball {
  border: 5px solid transparent;
  border-left: 5px solid #9356DC;
  border-right: 5px solid #9356DC;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  position: relative;
  animation: ball 3s ease-in infinite both;
}
.loading__ball::after {
  content: "";
  position: absolute;
  top: 5px;
  right: 5px;
  bottom: 5px;
  left: 5px;
  border-radius: 50%;
  border: 5px solid transparent;
  border-left: 5px solid #99E2D0;
  border-right: 5px solid #99E2D0;
  animation: ball 3s ease-out infinite both;
}
.loading__ball::before {
  content: "";
  position: absolute;
  top: -15px;
  right: -15px;
  bottom: -15px;
  left: -15px;
  border-radius: 50%;
  border: 5px solid transparent;
  border-left: 5px solid #FF79DA;
  border-right: 5px solid #FF79DA;
  animation: ball 3s ease-out infinite both;
}

.header-index, .presentation, .fonctionnement, .restaurant-list, footer {
  animation: load-page 3s linear;
}

/* ********************************************************************** */
/* *******************         Page accueil     ********************* */
.presentation {
  text-align: center;
  margin-bottom: 50px;
  background-color: #f2f2f2;
}
.presentation__search-location {
  background-color: #eaeaea;
  border-top: solid 2px #cecece;
  padding: 20px;
  margin-top: 15px;
}
.presentation__text {
  background-color: #f2f2f2;
  padding: 40px 30px;
}
.presentation__text h2 {
  font-weight: bold;
  font-size: 1.3rem;
}
.presentation__text p {
  margin-top: 20px;
  font-size: 1.1rem;
}
.presentation__text-button {
  background: linear-gradient(#9356DC, #FF79DA);
  padding: 15px 10px;
  border-radius: 25px;
  border: none;
  color: white;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 220px;
  font-size: 1.05em;
  margin-top: 30px;
}

/************* Fonctionnement **********/
.fonctionnement {
  font-size: 0.9em;
}
.fonctionnement__title {
  margin-left: 10px;
  margin-bottom: 15px;
}
.fonctionnement-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 30px;
}
.fonctionnement-card {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  border: none;
  width: 90%;
  border-radius: 15px;
  background-color: #f2f2f2;
  box-shadow: 5px 5px 5px #f2f2f2;
  margin-top: 10px;
  margin-bottom: 12px;
  padding: 20px 5px;
}
.fonctionnement-card p {
  border-radius: 50%;
  background-color: #9356DC;
  color: white;
  padding: 2px 6px;
  margin-left: -10px;
  margin-right: 20px;
}
.fonctionnement-card__name {
  margin-left: 20px;
}
.fonctionnement-card--modified {
  background-color: #f5edff;
}
.fonctionnement-card--modified i {
  color: #9356DC;
}

/*************** Restaurant card ***************/
.restaurant-list {
  background-color: #f2f2f2;
  padding-top: 30px;
  height: auto;
  padding-bottom: 30px;
}
.restaurant-list__title {
  font-size: 1.3em;
  width: 335px;
  margin: 0 auto;
}
.restaurant-preview {
  border-radius: 25px;
  box-shadow: 10px 10px 10px #f2f2f2;
  max-width: 335px;
  min-width: 325px;
  height: 250px;
  background-color: white;
  margin: 20px auto;
}
.restaurant-preview__imgContainer {
  height: 70%;
  position: relative;
}
.restaurant-preview__text-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
}
.restaurant-preview__text-container h5 {
  font-size: 1.2em;
  margin-bottom: 5px;
}
.restaurant-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-top-left-radius: 25px;
  border-top-right-radius: 25px;
}
.restaurant-img__new {
  position: absolute;
  top: 5%;
  right: 5%;
  z-index: 1;
  background-color: #99E2D0;
  color: #008766;
  padding: 5px;
  font-size: 0.7em;
}

/************************ Test animation coeur **********************/
.restaurant-preview__favorites {
  position: relative;
  z-index: 1;
  font-size: 0.7rem;
}
.restaurant-preview__favorites-img {
  transition: all 500ms ease-in-out;
}
.restaurant-preview__favorites:hover .restaurant-preview__favorites-img {
  opacity: 0;
}
.restaurant-preview__favorites:hover .restaurant-preview__favorites--full {
  opacity: 1;
  transform: scale(1);
}
.restaurant-preview__favorites--full {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0;
  z-index: -1;
  transform: scale(0);
  transform-origin: bottom;
  transition: all 500ms ease-in-out;
  -webkit-background-clip: text !important;
  background: linear-gradient(#9356DC, #FF79DA);
  -webkit-text-fill-color: transparent;
}

/*----------------------Page 1 à 4 -------------------------*/
.presentation-menu__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.restaurant-menu {
  background-color: #f2f2f2;
  border-radius: 35px 35px 0 0;
  margin-top: -50px;
  padding-bottom: 50px;
  z-index: 1;
  position: relative;
}
.restaurant-menu__title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 30px 20px 20px;
}

.starter-list, .dishes-list, .dessert-list {
  margin: 20px;
}

.starter-element,
.dishes-element,
.dessert-element {
  background-color: #ffffff;
  border-radius: 15px;
  box-shadow: 5px 5px 5px #e7e7e7;
  margin-top: 15px;
  margin-bottom: 15px;
  padding-top: 15px;
  padding-bottom: 15px;
  padding-left: 10px;
  padding-right: 20px;
}
.starter-element-title,
.dishes-element-title,
.dessert-element-title {
  margin-bottom: 5px;
}

.starter-element:nth-child(1) {
  animation: loading_menu 1000ms ease-in-out 100ms backwards;
}
.starter-element:nth-child(2) {
  animation: loading_menu 1000ms ease-in-out 200ms backwards;
}
.starter-element:nth-child(3) {
  animation: loading_menu 1000ms ease-in-out 300ms backwards;
}
.starter-element:nth-child(4) {
  animation: loading_menu 1000ms ease-in-out 400ms backwards;
}

.starter-element__information,
.dishes-element__information,
.dessert-element__information {
  display: flex;
  justify-content: space-between;
  text-overflow: ellipsis;
}

.starter-element-title h4,
.dishes-element-title h4,
.dessert-element-title h4 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.price {
  font-weight: bold;
}

.complement {
  font-size: 0.9em;
  max-width: 260px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.order-button {
  background: linear-gradient(#9356DC, #FF79DA);
  padding: 15px 10px;
  border-radius: 25px;
  border: none;
  color: white;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 220px;
  font-size: 1.05em;
}

/*********************** Animation menu *****************/
.fa-check-circle {
  color: white;
  display: block;
  padding: 30px 20px;
}

.starter-element, .dishes-element, .dessert-element {
  position: relative;
  z-index: 1;
  overflow: hidden;
}
.starter-element__information p, .dishes-element__information p, .dessert-element__information p {
  text-overflow: ellipsis;
}
.starter-element .barre, .dishes-element .barre, .dessert-element .barre {
  width: 60px;
  height: 100%;
  background-color: #99E2D0;
  position: absolute;
  right: -60px;
  bottom: 0;
}
.starter-element:hover .price, .dishes-element:hover .price, .dessert-element:hover .price {
  animation: price 800ms linear 100ms both;
}
.starter-element:hover .barre, .dishes-element:hover .barre, .dessert-element:hover .barre {
  animation: validation_menu 1s linear both;
}
.starter-element:hover .barre i, .dishes-element:hover .barre i, .dessert-element:hover .barre i {
  animation: rotation_icon 1s ease-in-out both;
}
.starter-element:hover .complement, .dishes-element:hover .complement, .dessert-element:hover .complement {
  animation: width 1s linear both;
}
.starter-element:hover .starter-element-title, .starter-element:hover .dessert-element-title, .starter-element:hover .dishes-element-title, .dishes-element:hover .starter-element-title, .dishes-element:hover .dessert-element-title, .dishes-element:hover .dishes-element-title, .dessert-element:hover .starter-element-title, .dessert-element:hover .dessert-element-title, .dessert-element:hover .dishes-element-title {
  animation: width 1s linear both;
}

.footer {
  background-color: #353535;
  height: auto;
}
.footer__element {
  margin-left: 15px;
}
.footer__element--logo {
  padding: 20px 0;
}
.footer__element--logo img {
  filter: invert(100%);
  height: 15px;
}
.footer__element-text {
  margin-left: 10px;
}
.footer__element-img {
  justify-self: center;
  width: 16px;
}
.footer a {
  color: white;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

@keyframes test-animation {
  from {
    transform: scale(0) rotate(0deg);
    transform-origin: left;
    opacity: 1;
  }
  to {
    transform: scale(15) rotate(360deg);
    transform-origin: left;
    color: red;
    opacity: 0.5;
  }
}
/* Animation du menu */
@keyframes loading_menu {
  from {
    opacity: 0;
    transform: translateY(50px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes validation_menu {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-60px);
  }
}
@keyframes rotation_icon {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(360deg);
  }
}
@keyframes price {
  from {
    transform: translateX(0);
    transform-origin: right;
  }
  to {
    transform: translateX(-60px);
  }
}
@keyframes width {
  to {
    max-width: 60%;
  }
}
/* -----------Loadin spinner--------------- */
@keyframes ball {
  0% {
    transform: rotate(0);
    opacity: 1;
  }
  50% {
    transform: rotate(180deg);
    opacity: 1;
  }
  100% {
    transform: rotate(360deg);
    opacity: 1;
  }
}
@keyframes load-page {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0.1;
  }
  50% {
    opacity: 0.3;
  }
  75% {
    opacity: 0.75;
  }
  90% {
    opacity: 1;
  }
}
@keyframes letter {
  0% {
    opacity: 0.1;
    transform: translateX(-2000px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes letter2 {
  0% {
    opacity: 0.1;
  }
  100% {
    opacity: 1;
  }
}
@keyframes spinner-off {
  100% {
    visibility: collapse;
  }
}
@keyframes heart-border {
  100% {
    color: #9356DC;
  }
}
/******************************  Version desktop  **********************/
@media screen and (min-width: 700px) {
  .fonctionnement-container {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
  }
  .fonctionnement-card {
    max-width: 30%;
  }

  .restaurant-list__container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
  }
  .restaurant-list__title {
    margin-left: 10px;
  }

  footer {
    display: flex;
    justify-content: space-around;
    align-items: center;
  }

  .presentation-menu {
    height: 350px;
    margin: auto;
  }
  .presentation-menu-img {
    z-index: -1;
    overflow: hidden;
  }
}
@media screen and (min-width: 950px) and (max-width: 1400px) {
  .restaurant-list__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}
@media screen and (min-width: 950px) {
  .restaurant-menu {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 4fr 0.6fr;
  }

  .starter-list {
    grid-row-start: 2;
  }

  .dishes-list {
    grid-row-start: 2;
    grid-column-start: 2;
  }

  .dessert-list {
    grid-row-start: 2;
    grid-column-start: 3;
  }

  .order-button {
    grid-row-start: 3;
    grid-column-start: 2;
  }

  .starter-element,
.dishes-element,
.dessert-element {
    max-width: 300px;
  }
}

/*# sourceMappingURL=style.css.map */
